﻿using System;

namespace NetCore_DI
{
    public class RecepcaoService
    {
        public string Saudacao(string nome) => $"Olá, {nome}";
    }

    public class Controller
    {
        public string Ola(string nome)
        {
            var service = new RecepcaoService();
            return service.Saudacao(nome);
        }
    }

    class Program
    {
        static void Main(string[] args)
        {
            var controller = new Controller();
            string resultado = controller.Ola("Macoratti");
            Console.WriteLine(resultado);
            Console.ReadLine();
        }
    }
}
